package com.ruoyi.web.stock.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 生产入库主单。
 */
public class WarehouseIn extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long id;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date sheetDate;

    private String sheetNo;

    private String productionType;

    private String productionPlantNo;

    private String productionPlantName;

    private BigDecimal totalAmount;

    private String delFlag;

    private String orgId;

    private List<WarehouseInGoods> goodsList;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getSheetDate() {
        return sheetDate;
    }

    public void setSheetDate(Date sheetDate) {
        this.sheetDate = sheetDate;
    }

    public String getSheetNo() {
        return sheetNo;
    }

    public void setSheetNo(String sheetNo) {
        this.sheetNo = sheetNo;
    }

    public String getProductionType() {
        return productionType;
    }

    public void setProductionType(String productionType) {
        this.productionType = productionType;
    }

    public String getProductionPlantNo() {
        return productionPlantNo;
    }

    public void setProductionPlantNo(String productionPlantNo) {
        this.productionPlantNo = productionPlantNo;
    }

    public String getProductionPlantName() {
        return productionPlantName;
    }

    public void setProductionPlantName(String productionPlantName) {
        this.productionPlantName = productionPlantName;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public List<WarehouseInGoods> getGoodsList() {
        return goodsList;
    }

    public void setGoodsList(List<WarehouseInGoods> goodsList) {
        this.goodsList = goodsList;
    }
}
